﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows;
using Infragistics.Controls.Editors.Primitives;
using Infragistics.Controls.Editors;
using System.Windows.Media;
using System.Threading;
using System.Windows.Controls.Primitives;

namespace MultiComboInGrid
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        Border rootBorder;
        ScrollBar horizontalScbr;

        void ComboRow_Loaded(object sender, RoutedEventArgs e)
        {
            rootBorder = Utilities.GetAncestorFromName(sender as DependencyObject, "RootPopupElement") as Border;
            horizontalScbr = (rootBorder.Child as Grid).Children[2] as ScrollBar;
            
            rootBorder.LayoutUpdated += new EventHandler(rootBorder_LayoutUpdated);

            (sender as ComboCellsPanel).Loaded -= ComboRow_Loaded;
        }

        void rootBorder_LayoutUpdated(object sender, EventArgs e)
        {
            if (rootBorder != null && horizontalScbr != null)
            {
                if (horizontalScbr.Visibility == Visibility.Visible)
                {
                    rootBorder.MinWidth += 10;
                } 
            }
        }
    }
}
